# This file was generated by Rcpp::compileAttributes
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Calculates a glcm texture for use in the glcm.R script
#'
#' This function is called by the \code{\link{glcm}} function. It is 
#' not intended to be used directly.
#'
#' @param rast a matrix containing the pixels to be used in the texture
#' calculation
#' @param n_grey number of grey levels to use in texture calculation
#' @param window_dims 2 element list with row and column dimensions of the
#' texture window
#' @param shift a length 2 vector with the number of cells to shift when
#' computing co-ocurrency matrices
#' @param statistics a list of strings naming the texture statistics to 
#' calculate
#' @param na_opt one of "ignore", "center", or "any"
#' @param na_val what value to use to fill missing values on edges or where
#' necessary due to chosen na_opt value
#' @return a list of length equal to the length of the \code{statistics} input 
#' parameter, containing the selected textures measures
calc_texture <- function(rast, n_grey, window_dims, shift, statistics, na_opt, na_val) {
    .Call('glcm_calc_texture', PACKAGE = 'glcm', rast, n_grey, window_dims, shift, statistics, na_opt, na_val)
}

